Package org.jcsp.net

# Interface NetSharedConnectionClient

All Superinterfaces:
  `ConnectionClient`, `Networked`, `SharedConnectionClient`

All Known Implementing Classes:
  `NetSharedAltingConnectionClient`

public interface NetSharedConnectionClient extends Networked, SharedConnectionClient
This interface should be implemented by classes that wish to act as `SharedConnectionClient` objects which accept connections from `ConnectionClient` objects from over a JCSP.NET network.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.lang.ConnectionClient

`isOpen, reply, request`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.SharedConnectionClient

`duplicate`